Microsoft .NET Framework 4.0 Beta 1 should be removed before upgrading to Windows 7

Microsoft .NET Framework 4.0 Beta 1 should be removed before upgrading to Windows 7

  • Comments 2

If you have been beta testing Microsoft .NET Framework 4.0 Beta 1, we recommend you install a fresh copy of Windows 7 on your machine. Alternatively, you may also choose to uninstall Visual Studio 2010 Beta 1 and .NET 4.0 Beta 1 prior to upgrading to Win7.

Microsoft Windows 7 is available to MSDN and TechNet subscribers.

Problem

If you have installed .NET Framework 4.0 Beta 1 on your Windows Vista machine, after upgrading to Windows 7 you may encounter some problems. Managed code may not function, especially applications built to target .NET 4.0 Beta 1. Also, if you have any ClickOnce applications installed, Windows Explorer may crash continuously when you log in.

Status

This issue has been fixed in .NET Framework 4.0 Beta 2.

Leave a Comment
  • Please add 6 and 1 and type the answer here:
  • Post
  • I also found this bug on vista 64

    I can't install .net 4.0

  • Scooter, if you did a clean install of Vista x64 and can't install .NET 4.0, can you please describe the error message you see?

Page 1 of 1 (2 items)